Bug 174394 - graphics/py-exiv2 is outdated need updating.
Summary: graphics/py-exiv2 is outdated need updating.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-12 13:30 UTC by Markus Golser
Modified: 2012-12-26 09:20 UTC (History)
0 users

See Also:


Attachments
exiv2.diff.txt (1.62 KB, text/plain; charset=UTF-8)
2012-12-18 11:14 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Golser 2012-12-12 13:30:00 UTC
The latest version in ports is py-exiv2 0.3.0_1
This version does *not* support utf8 filenames.

Please update to 0.3.2 this version has somebugfixes and does support utf8 filenames.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-12-12 13:40:00 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2012-12-12 13:40:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 R.Mahmatkhanov 2012-12-18 11:14:27 UTC
Here is the patch. Log:
- update to 0.3.2
- trim Makefile header
- remove shlib versions from LIB_DEPENDS (portlint warning)
- limit python version to 2.x only
- add tests

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 dfilter service freebsd_committer 2012-12-26 09:16:07 UTC
Author: rm
Date: Wed Dec 26 09:15:45 2012
New Revision: 309504
URL: http://svnweb.freebsd.org/changeset/ports/309504

Log:
  - update to 0.3.2
  - trim Makefile header
  - remove shlib versions from LIB_DEPENDS (portlint warning)
  - limit python version to 2.x only
  - add tests
  
  PR:		174394
  Reported by:	Markus Golser <markus@weihergut.it>
  Approved by:	maintainer timeout (2 weeks)

Modified:
  head/graphics/py-exiv2/Makefile
  head/graphics/py-exiv2/distinfo

Modified: head/graphics/py-exiv2/Makefile
==============================================================================
--- head/graphics/py-exiv2/Makefile	Wed Dec 26 09:13:23 2012	(r309503)
+++ head/graphics/py-exiv2/Makefile	Wed Dec 26 09:15:45 2012	(r309504)
@@ -1,26 +1,20 @@
-# New ports collection makefile for:	py-exiv2
-# Date created:		2008-06-01
-# Whom:			Denis Barov <dindin@dindin.ru>
-#
+# Created by: Denis Barov <dindin@dindin.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	exiv2
-PORTVERSION=	0.3.0
-PORTREVISION=	1
+PORTVERSION=	0.3.2
 CATEGORIES=	graphics python
-MASTER_SITES=	http://launchpadlibrarian.net/61465005/ \
-		http://www.dindin.ru/download/
+MASTER_SITES=	https://launchpadlibrarian.net/83595798/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	py${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Python bindings for exiv2
 
-LIB_DEPENDS=	exiv2.12:${PORTSDIR}/graphics/exiv2\
-		boost_python.4:${PORTSDIR}/devel/boost-python-libs
+LIB_DEPENDS=	exiv2:${PORTSDIR}/graphics/exiv2\
+		boost_python:${PORTSDIR}/devel/boost-python-libs
 
-USE_PYTHON=	yes
+USE_PYTHON=	-2.7
 USE_GMAKE=	yes
 USE_BZIP2=	yes
 USE_SCONS=	yes
@@ -40,4 +34,7 @@ post-install:
 	${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py \
 		${PYTHON_SITELIBDIR}/pyexiv2
 
+regression-test: build
+	@cd ${WRKSRC} && ${SCONS_BIN} test
+
 .include <bsd.port.mk>

Modified: head/graphics/py-exiv2/distinfo
==============================================================================
--- head/graphics/py-exiv2/distinfo	Wed Dec 26 09:13:23 2012	(r309503)
+++ head/graphics/py-exiv2/distinfo	Wed Dec 26 09:15:45 2012	(r309504)
@@ -1,2 +1,2 @@
-SHA256 (pyexiv2-0.3.0.tar.bz2) = e96549feab366de85070aa2f8cedcc4d0017d53b78faea5067c60425c117f9f8
-SIZE (pyexiv2-0.3.0.tar.bz2) = 202714
+SHA256 (pyexiv2-0.3.2.tar.bz2) = 0abc117c6afa71f54266cb91979a5227f60361db1fcfdb68ae9615398d7a2127
+SIZE (pyexiv2-0.3.2.tar.bz2) = 283163
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-12-26 09:17:34 UTC
State Changed
From-To: open->closed

Committed, thank you!